棚卸対象商品取得
GET
/stocktaking/{stocktaking_info_id}/products
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/stocktaking/3/products?fields=productId%2CstocktakingQuantity&sort=productId&limit=10&page=2&product_id=8000001&category_id=8000001';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/stocktaking/3/products?fields=productId%2CstocktakingQuantity&sort=productId&limit=10&page=2&product_id=8000001&category_id=8000001'棚卸対象商品情報を取得します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”stocktaking_info_id
required
string
棚卸情報ID
Example
3Query Parameters
Section titled “Query Parameters”fields
array
検索パラメータ(カンマ区切りで指定可)
Response項目を指定可能
※一部項目(withで指定する項目、2階層目以降の項目)については指定不可
Example
productId,stocktakingQuantitysort
string
並び順(カンマ区切りで指定可)
指定可能なパラメータ
- productId:商品ID
- categoryId:部門ID:現在の商品マスタの部門ID。
- updDateTime:更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
Example
productIdlimit
integer
上限数
Example
10page
integer
ページ
Example
2product_id
string
商品ID
Example
8000001category_id
string
部門ID:現在の商品マスタの部門ID
Example
8000001Responses
Section titled “Responses”取得成功
Media typeapplication/json
Array<object>
object
productId
商品ID
string
categoryId
部門ID:現在の商品マスタの部門ID。
string
stocktakingQuantity
棚卸数量:実在庫数。NULLの場合は未入力。
※棚卸ステータスが完了になっていない場合、正しい数値を取得する事ができません。
string
inputStocktakingQuantity
棚卸数量入力値:棚卸数量入力値(実際に入力された棚卸数量)
string
rfidTags
RFIDタグリスト。棚卸数量入力分。
Array<string>
transportationStockQuantity
積送在庫数:棚卸調整時点の積送在庫数。
※棚卸ステータスが完了になっていない場合、正しい数値を取得する事ができません。
string
layawayStockQuantity
取置き在庫数:棚卸調整時点の取置き在庫数。
※棚卸ステータスが完了になっていない場合、正しい数値を取得する事ができません。
string
stockQuantityBeforeAdjustment
調整前在庫数量:棚卸調整時点の理論在庫数。
※棚卸ステータスが完了になっていない場合、正しい数値を取得する事ができません。
string
cost
原価:状況が「調整中」「完了」の場合、棚卸調整時点の商品マスタの原価。
状況が「棚卸中」の場合、商品マスタの原価。
※棚卸ステータスが完了になっていない場合、正しい数値を取得する事ができません。
string
memo
メモ
string
quantityModifiedDatetime
棚卸数量入力日時:棚卸数量入力日時(棚卸数量を最後に入力した日時)
[YYYY-MM-DDThh:mm:ssTZD]
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
[ { "productId": "8000001", "categoryId": "8000001", "stocktakingQuantity": "2", "inputStocktakingQuantity": "2", "rfidTags": [ "RFID001", "RFID002" ], "transportationStockQuantity": "0", "layawayStockQuantity": "0", "stockQuantityBeforeAdjustment": "2", "cost": "100.00000", "memo": "棚卸明細メモ", "quantityModifiedDatetime": "2025-01-01T00:01:00+09:00", "insDateTime": "2025-01-01T00:00:00+09:00", "updDateTime": "2025-01-01T00:01:00+09:00" }]